### Function

# Gdk pixbuf_get_from_texture

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_get_from_texture (
      GdkTexture* texture
    )

#### Description [src]

Creates a new pixbuf from `texture`.

This should generally not be used in newly written code as later stages will almost certainly convert the pixbuf back into a texture to draw it on screen.

#### Parameters

`texture` | `GdkTexture`
| A `GdkTexture`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `Gdkixbuf.Pixbuf`
| A new `GdkPixbuf`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.